/*************
  computes the segmentation of the nbp pixel points in
  laser_val. Returns an index on the segment image computed.
************/

long LasSegmentation(long nbp,long *laser_val);

/*************
 Creates a global image of laser points
 from an array of laser_val_array[3] snap shots.
 taken from the position
 x = laser_val_array[0], y = laser_val_array[1], th = laser_val_array[2].
 laser_val_array[4] = turret angle of the first snap shot
 laser_val_array[5] = number of point of the first snap shot
 then come the first snap shot pixel values
 etc ....
 defined in LaserAc.c
*************/

long LasScanSegmentation(long *laser_val_array);
     

/********
    transform the array laser_val_array of
    n snap shots in pixels
    into one single image
    in cartesian coordinates
    im = index on the resulting image
  ********/

long LasScanningTransformation(long *laser_val_array);





 












