#ifndef ASPECT_PRIVETE_COMMON_H
#define ASPECT_PRIVETE_COMMON_H

/* ALSO USED BY Aspect_uncertain  */
static void free_pline_list ( struct polar_line_segment_type *pline_list );
static long theta_within_range ( double theta, double theta1, double theta2 );
static long theta_within_range_left ( double theta, double theta1, double theta2 );
static long theta_within_range_right ( double theta, double theta1, double theta2 );
static double dist_to_origin ( double x1, double y1, double x2, double y2, double nx, double ny );
static struct polar_line_segment_type *get_pline (void);
static long closer_pline ( struct polar_line_segment_type *pline1, struct polar_line_segment_type *pline2, double th1, double th2 );
static double dist_to_pline ( struct polar_line_segment_type *pline, double theta );
static struct polar_line_segment_type *eliminate_null_plines ( struct polar_line_segment_type *pline_list );
static double normalize_angle ( double a, double p );
static long Small_angle_filter ( PolLine *pline );

#endif
