#ifndef LASER_H
#define LASER_H

typedef struct laser_config {
  double pos [3];        /* Position (x,y,theta) of the laser on the robot */
  double range;          /* Length range of the laser (meters) */
  double accuracy;       /* Accuracy of a mesure (meter) */
  double angle_min;      /* Angle min of the laser (radians) */
  double angle_max;      /* Angle max of the laser (radians) */
  double resolution;     /* Angular resolution (radian) */
} laserConfiguration;

#endif
